#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#define N 1000

int main(){
    char s[N];
    char p[N];
    int i,j, l, k;
    scanf("%s", s);
    l=strlen(s);
    for(i=0; i<l; i++)
        for(j=i; j<l; j++){
            /* s[i] ... s[j] */
            /*  
            for(k=i; k<=j; k++)
                printf("%c", s[k]);
            printf("\n");
            */
            strncpy(p,&s[i],j-i+1);
            p[j-i+1]=0;
            printf("%s\n",p);
        }
}
